import request from '/@/utils/request';

export function safetyActionApi() {
    return {
        // v1
        getSafetyActionList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/measure/page/list`,
                method: 'post',
                data: data
            });
        },
        // v1
        addSafetyAction: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/measure/save`,
                method: 'post',
                data: data
            });
        },
        // v1
        modSafetyAction: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/measure/mod`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteSafetyAction: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/measure/delete`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllSafetyActionList: (data: {}) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/rule/measure/list`,
                method: 'post',
                data: data
            });
        }
    };
}
